<ng-container
    *ngIf="{
        lecturerExercise: (lecturerExercise$ | async)
    } as local"
>
    <div
        class="exercise-create-steps"
        *ngIf="local.lecturerExercise"
    >
        <ui-header
            [title]="'exercise-create-steps.title' | translate"
            [hasBackButton]="true"
            (backButtonIsClicked)="navigateToHome()"
        ></ui-header>
        <h2>
            {{'exercise-create-steps.exercise-info' | translate}}
        </h2>
        <span>{{'exercise-create-steps.exercise' | translate}}: <b>{{local.lecturerExercise.name}}</b> </span>
        <span>{{'exercise-create-steps.course' | translate}}: <b>{{local.lecturerExercise.coursefullname}}</b> </span>
        <span class="last-span">{{'home.submission-until' | translate}} {{local.lecturerExercise.duedate*1000 | date: 'dd.MM.yyyy'}} {{'home.submission-at'|translate}} {{local.lecturerExercise.duedate*1000  | date: 'hh:mm'}} {{'home.submission-clock'|translate}}.</span>
        <h2>
            {{'exercise-create-steps.define-steps' | translate}}
        </h2>
        <div cdkDropList class="step-list" (cdkDropListDropped)="dropExerciseStep($event)">
            <ng-container *ngFor="let exerciseStep of exerciseSteps; index as i;" >
                <span class="step">{{'exercise-create-steps.step' | translate}} {{i + 1}}:</span>
                <div class="exercise-step" cdkDrag>
                    <button (click)="removeExerciseStep(i)">
                        <i class="icon-delete"></i>
                    </button>
                    <ui-short-input
                        [label]="'Name*'"
                        [placeholder]="'exercise-create-steps.name-example' | translate"
                        (value)="updateStepName($event, i)"
                    ></ui-short-input>
                    <ui-description-input
                        [label]="'exercise-create-steps.description' | translate"
                        [placeholder]="'exercise-create-steps.description-example' | translate"
                        (value)="updateStepDescription($event, i)"
                    ></ui-description-input>
                    <button><i class="icon-drag"></i></button>
                </div>
            </ng-container>
        </div>
        <ui-lighten-button
            [icon]="'add'"
            [text]="'exercise-create-steps.add-step-button' | translate"
            (isClicked)="addStep()"
        ></ui-lighten-button>
        <ui-button
            [text]="'exercise-create-steps.create-exercise-with-steps-button' | translate"
            (isClicked)="showCreateModal = true"
        ></ui-button>
    </div>
</ng-container>
<ui-loading-overlay
    *ngIf="loading$ | async"
></ui-loading-overlay>
<ui-dialog
    [title]="'exercise-create-steps.dialog.title' | translate"
    [description]="'exercise-create-steps.dialog.description' | translate"
    [opened]="showCreateModal"
    [abortButtonText]="'exercise-create-steps.dialog.abort' | translate"
    [confirmButtonText]="'exercise-create-steps.dialog.confirm' | translate"
    (closed)="showCreateModal = false"
    (confirmed)="createExerciseWithSteps()"
></ui-dialog>